/* database.c $Id: database.c,v 1.1.1.1 1999/10/25 07:49:57 angus Exp $
 *
 * Copyright (C) Angus J. C. Duggan, 1997.
 *
 * Freely redistributable software. See file LICENSE for details.
 *
 * Manage database database for NNTP buffer
 */

#include "nntp.h"
#include "messages.h"

DBM *DBOpen(char *name)
{
  char filename[MAX_PATH] ;

  if ( confdir ) {
    strcpy(filename, confdir) ;
    strcat(filename, "\\") ;
    strcat(filename, name) ;

    return dbm_open(filename, O_RDWR|O_CREAT, 0644) ;
  }

  return NULL ;
}

void DBClose(DBM *db)
{
  assert(db) ;
  dbm_close(db) ;
}

/*
 * $Log: database.c,v $
 * Revision 1.1.1.1  1999/10/25 07:49:57  angus
 * Initial CVS import
 *
 */
