#!/usr/local/bin/perl

$xscale = shift(@ARGV) ;
$yscale = shift(@ARGV) ;
$fontname = shift(@ARGV) ;

while (<>) {
  s/(;\s*PCC\s+\w+)\s+([-\d]+)\s+([-\d]+)/sprintf("$1 %d %d", $2*$xscale, $3*$yscale)/ge ;
  s/(;\s*WX)\s+([-\d]+)/sprintf("$1 %d", $2*$xscale)/ge ;
  s/(;\s*B)\s+([-\d]+)\s+([-\d]+)\s+([-\d]+)\s+([-\d]+)/sprintf("$1 %d %d %d %d", $2*$xscale, $3*$yscale, $4*$xscale, $5*$yscale)/ge ;

  s/^(FontBBox)\s+([-\d]+)\s+([-\d]+)\s+([-\d]+)\s+([-\d]+)/sprintf("$1 %d %d %d %d", $2*$xscale, $3*$yscale, $4*$xscale, $5*$yscale)/ge ;

  s/^(UnderlinePosition|CapHeight|XHeight|Ascender|Descender)\s+([-\d]+)/sprintf("$1 %d", $2*$yscale)/ge ;

  s/^FontName\s+[^\n]*/FontName $fontname/ ;
  print $_ ;
}
