MessageId=1
SymbolicName=MSG_USAGE
Language=English
%1 %2
Copyright (C) Angus J. C. Duggan, 1997-2000. See file LICENSE for details.
Usage:
	%3 [-d confdir] [-s spooldir] [-o postdir] [-p portno] [-c portno]
	%[-i|-r|-q|-x|-D num|-D name,...|-[YNAIU] group|-K msgid/num|-[ESP] start/stop/abort]
	-d confdir	Sets the configuration directory
	-s spooldir	Sets the spool (incoming) directory
	-o postdir	Sets the posting (outgoing) directory
	-c portno	Client port number for newsreaders
	-p portno	Server port number for news feeds
	-i		Installs the service
	-r		Removes the service
	-q		View outgoing posting queue
	-x		Stop the service
	-Y group	Enable posting to group
	-N group	Disable posting to group
	-A group	Activate downloads for group
	-I group	Inactivate downloads for group
	-U group	Unsubscribe (delete) group
	-K msgid/num	Kill outgoing posting
	-E func		Start/stop/abort expires
	-S func		Start/stop/abort download
	-P func		Start/stop/abort posting
	-D name,...
	-D num		Run debug server. Flags are:
		keep		0x0000001	Previous kept messages
		mutex		0x0000002	Mutex locking
		registry	0x0000004	Registry access
		client		0x0000008	Client request/response
		client-data	0x0000010	Client data
		server		0x0000020	Server request/response
		group		0x0000040	Group access
		article		0x0000080	Article access
		socket		0x0000100	Socket access
		file		0x0000200	File access
		read		0x0000400	Read filters
		write		0x0000800	Write filters
		noslurp		0x0001000	Block downloading
		slurp				All download details
		slurp-info	0x0002000	Download info
		slurp-data	0x0004000	Download data
		nopost		0x0010000	Block posting
		post				All posting details
		post-info	0x0020000	Posting info
		post-data	0x0040000	Posting stream
		noexpire	0x0100000	Block expire
		expire				All expire details
		expire-info	0x0200000	Expire info
		expire-data	0x0400000	Expire removals
		msgid		0x1000000	Message ID access
		all				All access
	Only the last specified of -i -r -q -x -E -S -P will take effect.
	Default action is to start the service.
.

MessageId=2
SymbolicName=MSG_CREATEPIPE
Language=English
Can't create named pipe %1:
%2
.

MessageId=3
SymbolicName=MSG_STARTFAILED
Language=English
Service control dispatcher failed:
%1
.

MessageId=4
SymbolicName=MSG_FINDNEXTFILE
Language=English
FindNextFile failed:
%1
.

MessageId=5
SymbolicName=MSG_FINDFIRSTFILE
Language=English
FindFirstFile on %1 failed:
%2
.

MessageId=6
SymbolicName=MSG_REGCLOSE
Language=English
Error closing registry key:
%1
.

MessageId=7
SymbolicName=MSG_REGSET
Language=English
Can't set registry value HKEY_LOCAL_MACHINE\%1\%2 to %3:
%4
.

MessageId=8
SymbolicName=MSG_REGCREATE
Language=English
Can't create registry key HKEY_LOCAL_MACHINE\%1:
%2
.

MessageId=9
SymbolicName=MSG_STATUSFAIL
Language=English
SetServiceStatus failed:
%1
.

MessageId=10
SymbolicName=MSG_HANDLERFAIL
Language=English
Can't register service control handler:
%1
.

MessageId=11
SymbolicName=MSG_CREATEEVENT
Language=English
Can't create event:
%1
.

MessageId=12
SymbolicName=MSG_STARTED
Language=English
%1 started, config dir is %2, spool dir is %3, posting dir is %4, port is %5
.

MessageId=13
SymbolicName=MSG_WSASTARTUP
Language=English
Can't start Winsock stack:
%1
.

MessageId=14
SymbolicName=MSG_STACKVERSION
Language=English
Wrong version of Winsock protocol stack, need version 1.1
.

MessageId=15
SymbolicName=MSG_LISTEN
Language=English
Can't listen on socket:
%1
.

MessageId=16
SymbolicName=MSG_NOTCPNNTP
Language=English
No NNTP service over TCP/IP:
%1
.

MessageId=17
SymbolicName=MSG_BIND
Language=English
Can't bind to socket:
%1
.

MessageId=18
SymbolicName=MSG_EVENTSELECT
Language=English
Can't set listener socket event:
%1
.

MessageId=19
SymbolicName=MSG_CLOSESOCKET
Language=English
Failed to close socket:
%1
.

MessageId=20
SymbolicName=MSG_CLEAREVENT
Language=English
Can't clear event socket event selector:
%1
.

MessageId=21
SymbolicName=MSG_NONBLOCK
Language=English
Can't set listener socket to non-blocking:
%1
.

MessageId=22
SymbolicName=MSG_RESETEVENT
Language=English
Can't reset listener socket event:
%1
.

MessageId=23
SymbolicName=MSG_WSACLEANUP
Language=English
Failed closing WinSock stack:
%1
.

MessageId=24
SymbolicName=MSG_RELEASEMUTEX
Language=English
Can't release Mutex %1:
%2
.

MessageId=25
SymbolicName=MSG_ACQUIREMUTEX
Language=English
Can't acquire Mutex %1:
%2
.

MessageId=26
SymbolicName=MSG_MEMORY
Language=English
Out of memory %1
.

MessageId=27
SymbolicName=MSG_CREATETHREAD
Language=English
Can't create new thread for %1:
%2
.

MessageId=28
SymbolicName=MSG_CREATEMUTEX
Language=English
Can't create Mutex %1:
%2
.

MessageId=29
SymbolicName=MSG_FILEOPEN
Language=English
Can't open %1 file %2:
%3
.

MessageId=30
SymbolicName=MSG_FEEDSYNTAX
Language=English
Syntax error in %1: %2 in line %3!d!
%4
.

MessageId=31
SymbolicName=MSG_OPENSOCKET
Language=English
Failed to open socket:
%1
.

MessageId=32
SymbolicName=MSG_STREAM
Language=English
Can't create stream:
%1
.

MessageId=33
SymbolicName=MSG_EXPIRE_START
Language=English
Started expire
.

MessageId=34
SymbolicName=MSG_EXPIRE_FINISH
Language=English
Finished expire, removed %1 articles, status %2
.

MessageId=35
SymbolicName=MSG_CLIENT_CONNECT
Language=English
Client connected
.

MessageId=37
SymbolicName=MSG_CLIENT_DISCONNECT
Language=English
Client disconnected
.

MessageId=38
SymbolicName=MSG_POST_SENT
Language=English
Posted article [%1] to %2
.

MessageId=39
SymbolicName=MSG_POST_QUEUED
Language=English
Queued article [%1] for posting
.

MessageId=40
SymbolicName=MSG_POST_REJECTED
Language=English
Rejected article [%1] for posting:
%2
.

MessageId=41
SymbolicName=MSG_DOWNLOAD_DONE
Language=English
Download finished, got %1 articles, status %2
.

MessageId=42
SymbolicName=MSG_INACTIVATE
Language=English
Inactivating group %1
.

MessageId=43
SymbolicName=MSG_CLOSEFILE
Language=English
Failed to close file:
%1
.

MessageId=44
SymbolicName=MSG_SETSOCKETOPT
Language=English
Can't set socket options:
%1
.

MessageId=45
SymbolicName=MSG_INSECURE
Language=English
Connection from %1 denied
.

MessageId=46
SymbolicName=MSG_ASYNCFAILED
Language=English
Can't start WSAAsyncGetHostname for %1:
%2
.

MessageId=47
SymbolicName=MSG_ATOMFAILED
Language=English
Can't create async message atom for %1:
%2
.

MessageId=48
SymbolicName=MSG_WINDOWFAILED
Language=English
Can't create async message window for %1:
%2
.

