MessageId=1
SymbolicName=MSG_USAGE
Language=English
%1 %2
Copyright (C) Angus J. C. Duggan, 1997-1998. See file LICENSE for details.
Usage:
	%3 [-m mailhost] [-p postmaster] [-d queuedir] [-c portno] [-s portno] [-i|-r|-q|-x|-D num|-K patt/num|-F start/stop/abort] 
	-m mailhost	Sets the SMTP server
	-p postmaster	Sets the return address for bounced messages
	-d queuedir	Sets the message queue directory
	-c portno	Client port number for accepting email
	-s portno	Server port number for sending email
	-i		Installs the service
	-r		Removes the service
	-q		Views the outgoing mail queue
	-x		Stop the service
	-K patt/num	Kill outgoing email by subject or file number
	-F func		Start/stop/abort mail forwarding
	-D num		Run debug server. Flags are:
			0x0000001	File access
			0x0000002	Socket access
			0x0000004	Data read
			0x0000008	Data written
			0x0000010	Queue building
			0x0000020	Match checking
			0x0000040	Summary construction
			0x0000080	SMTP filter writes
			0x0000100	Server responses
			0x0000200	Message bouncing
			0x0000400	Connections
			0x0000800	Registry access
			0x0001000	Reads from client
			0x0002000	Writes to client
			0x0004000	Reads from server
			0x0008000	Writes to server

	Only the last specified of -i -r -q -x -D will take effect.
	Default action is to start the service.
.

MessageId=2
SymbolicName=MSG_NOMAILHOST
Language=English
No default mailhost specified
.

MessageId=3
SymbolicName=MSG_NOQUEUEDIR
Language=English
No default queue directory specified
.

MessageId=4
SymbolicName=MSG_NOPOSTMASTER
Language=English
No postmaster specified
.

MessageId=5
SymbolicName=MSG_STARTFAILED
Language=English
Service control dispatcher failed:
%1
.

MessageId=6
SymbolicName=MSG_STATUSFAIL
Language=English
SetServiceStatus failed:
%1
.

MessageId=7
SymbolicName=MSG_HANDLERFAIL
Language=English
Can't register service control handler:
%1
.

MessageId=8
SymbolicName=MSG_CREATEEVENT
Language=English
Can't create event:
%1
.

MessageId=9
SymbolicName=MSG_STARTED
Language=English
%1 started, SMTP server is %2, postmaster is %3, queue dir is %4, port is %5
.

MessageId=10
SymbolicName=MSG_REGCLOSE
Language=English
Error closing registry key:
%1
.

MessageId=11
SymbolicName=MSG_REGSET
Language=English
Can't set registry value HKEY_LOCAL_MACHINE\%1\%2 to %3:
%4
.

MessageId=12
SymbolicName=MSG_REGCREATE
Language=English
Can't create registry key HKEY_LOCAL_MACHINE\%1:
%2
.

MessageId=13
SymbolicName=MSG_SENT
Language=English
Sent message [%1] via %2
.

MessageId=14
SymbolicName=MSG_QUEUED
Language=English
Queued message [%1] for sending to %2
.

MessageId=15
SymbolicName=MSG_FINDNEXTFILE
Language=English
FindNextFile failed:
%1
.

MessageId=16
SymbolicName=MSG_FINDFIRSTFILE
Language=English
FindFirstFile on %1 failed:
%2
.

MessageId=17
SymbolicName=MSG_RESETEVENT
Language=English
Can't reset listener socket event:
%1
.

MessageId=18
SymbolicName=MSG_EVENTSELECT
Language=English
Can't set listener socket event:
%1
.

MessageId=19
SymbolicName=MSG_BIND
Language=English
Can't bind to socket:
%1
.

MessageId=20
SymbolicName=MSG_LISTEN
Language=English
Can't listen on socket:
%1
.

MessageId=21
SymbolicName=MSG_OPENSOCKET
Language=English
Failed to create socket:
%1
.

MessageId=22
SymbolicName=MSG_WRITESOCKET
Language=English
Failed to write to socket:
%1
.

MessageId=23
SymbolicName=MSG_NONBLOCK
Language=English
Can't set listener socket to non-blocking:
%1
.

MessageId=24
SymbolicName=MSG_CLOSESOCKET
Language=English
Failed to close socket:
%1
.

MessageId=25
SymbolicName=MSG_OPENTRICKLE
Language=English
Failed to open trickle file %1:
%2
.

MessageId=26
SymbolicName=MSG_WRITETRICKLE
Language=English
Failed to write to trickle file %1:
%2
.

MessageId=27
SymbolicName=MSG_CLOSEFILE
Language=English
Failed to close file %1:
%2
.

MessageId=30
SymbolicName=MSG_DELETEFILE
Language=English
Failed to delete %1:
%2
.

MessageId=31
SymbolicName=MSG_DELETED
Language=English
Deleted file %1
.

MessageId=32
SymbolicName=MSG_MOVEFILE
Language=English
Failed to rename %1 to %2:
%3
.

MessageId=33
SymbolicName=MSG_MOVED
Language=English
Renamed %1 to %2
.

MessageId=35
SymbolicName=MSG_BOUNCE
Language=English
Failed to send message [%1]
.

MessageId=40
SymbolicName=MSG_WSASTARTUP
Language=English
Can't start Winsock stack:
%1
.

MessageId=41
SymbolicName=MSG_STACKVERSION
Language=English
Wrong version of Winsock protocol stack, need version 1.1
.

MessageId=42
SymbolicName=MSG_NOTCPSMTP
Language=English
No SMTP service over TCP/IP:
%1
.

MessageId=43
SymbolicName=MSG_WHOAMI
Language=English
Can't find own hostname or hostentry:
%1
.

MessageId=45
SymbolicName=MSG_CLEAREVENT
Language=English
Can't clear event socket event selector:
%1
.

MessageId=46
SymbolicName=MSG_WSACLEANUP
Language=English
Failed closing WinSock stack:
%1
.

MessageId=47
SymbolicName=MSG_BADMSG
Language=English
Message didn't parse correctly
.

MessageId=48
SymbolicName=MSG_CREATESTREAM
Language=English
Can't create stream:
%1
.

MessageId=49
SymbolicName=MSG_SETSOCKETOPT
Language=English
Can't set socket options:
%1
.

MessageId=50
SymbolicName=MSG_INSECURE
Language=English
Connection from %1 denied
.

MessageId=51
SymbolicName=MSG_ASYNCFAILED
Language=English
Can't start WSAAsyncGetHostname for %1:
%2
.

MessageId=52
SymbolicName=MSG_ATOMFAILED
Language=English
Can't create async message atom for %1:
%2
.

MessageId=53
SymbolicName=MSG_WINDOWFAILED
Language=English
Can't create async message window for %1:
%2
.

MessageId=54
SymbolicName=MSG_LOST
Language=English
Failed to send or queue message [%1]
.

MessageId=55
SymbolicName=MSG_RETURNED
Language=English
Returned message [%1] to %2
.

MessageId=56
SymbolicName=MSG_TRANSIENT
Language=English
Problems sending message [%1], will retry later.
.
